$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Gene"
type: "object"
description: >-
  A set of related files

additionalProperties: false
required:
  - name
  - primary_symbol
properties:
  name:
    type: string
  primary_symbol:
    type: string
  function:
    type: string
    description: Description of gene function [markdown].
  ghr_conditions:
    type: array
    items:
      type: string
  published:
    type: string
    format: date
  reviewed:
    type: string
    format: date
  url:
    type: string
    format: uri
  xrefs:
    type: array
    items: 
      type: string
      pattern: '^[^:]+:.+'
  alternate_symbols:
    type: array
    items: 
      type: string
